Changes between Version 30 and Version 31 of PythonOcc/primitives


Ignore:
Timestamp:
Dec 5, 2013, 9:44:48 PM (7 years ago)
Author:
Leon Kos
Comment:

Pojasni rebro

Legend:

Unmodified
Added
Removed
Modified
  • PythonOcc/primitives

    v30 v31  
    659659
    660660=== Izdelava rebra ( MakeLinerForm ) ===
    661 [[Image(32.png, 300, right)]]
     661[[Image(33.png, 300, right)]]
    662662Za izdelavo ojačitvenega rebra med dvema planarnima površinama se uporabi ukaz BRepFeat. Za izvedbo ukaza je potrebno vključiti naslednjo knjižnico:
    663663{{{
     
    669669{{{
    670670#!python
    671 Povezava = BRepBuilderAPI_MakeWire(BRepBuilderAPI_MakeEdge(Tocka_1, Tocka_2.Edge() )
    672 ravnina = Geom_Plane(U_X,U_Y,U_Z,Velikost_U)
     671Povezava = BRepBuilderAPI_MakeWire(BRepBuilderAPI_MakeEdge(Tocka_1, Tocka_2).Edge() )
     672ravnina = Geom_Plane(U_X,U_Y,U_Z, odmik_v_smeri)
    673673}}}
    674674Za izdelavo rebra uporabimo ukaz MakeLinearForm, kjer uporabimo poznano obliko, povezavo med površinama, referenčno ravnino, ter dva vektorja, ki nam določita smer oziroma debelino rebra v eni ter v drugi smeri glede na normalo ravnine:
    675675{{{
    676676#!python
    677 rebro = BRepFeat_MakeLinearForm( Oblika, Povezava, ravnina,Vect_1, Vect_2, 1, True )
     677Vect_1 = gp_Vec(0.,0.,5.) # odmik v eno smer glede na ravnini
     678Vect_2 = gp_Vec(0.,0.,-5.) # odmik v drugo smer glede na ravnino
     679z_rebrom = BRepFeat_MakeLinearForm( Oblika.Shape(), Povezava.Wire(), ravnina.GetHandle(),Vect_1, Vect_2, 1, True )
    678680}}}
    679681[[BR]][[BR]]
    680682
    681683=== Zrcaljenje ( Mirror ) ===
    682 [[Image(33.png, 300, right)]]
    683684Za zrcaljenje poljubne oblike se uporabi ukaz iz knjižnice BRepBuilderAPI:
    684685{{{